import request from '@/utils/request'

export function index(params){
  return request({
    method:'get',
    url:'/api/admin/finance/index',
    params
  })
}

export function getMerchants(params){
  return request({
    method:'get',
    url:'/api/admin/finance/get-merchants',
    params
  })
}

export function getPayments(params){
  return request({
    method:'get',
    url:'/api/admin/finance/get-payments',
    params
  })
}

export function recharge(data){
  return request({
    method:'post',
    url:'/api/admin/finance/recharge',
    data
  })
}

export function fine(data){
  return request({
    method:'post',
    url:'/api/admin/finance/create-merchant-fine',
    data
  })
}
